package de.frajul.endlessroll.main;

import android.widget.RelativeLayout;

import de.frajul.endlessroll.main.screens.Screen;
import de.frajul.endlessroll.main.tutorial.BreakPoint;

import java.util.List;

/**
 * Created by Julian on 08.12.2015.
 */
public interface GameHandler extends ExceptionHandler {

    void startInUiThread(Runnable runnable);

    void toScreen(Screen.ScreenType screen);

    RelativeLayout getRootLayout();

    void showTutorialScreen(List<BreakPoint> breakPoints);

}
